Get Trashed Files in My Folders
This API fetches files from the trash folder in a team members my folders.
The deleted files and folders in my folders will move into the trash folder. One can restore the trashed files from the trash if a team member needs them back.
Endpoints
OAuth Scope
curl --request GET \
--url https://www.zohoapis.com/workdrive/api/v1/privatespace/{myfolder_id}/trashedfiles \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'Path Parameters
The unique ID of team member's my folders
Query Parameters
Note:
Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here
Limit indicates the number of items to be listed.
(The maximum limit is 50)
For more details about pagination. refer here
Offset indicates from where the listing should start
Sorting can be done with these fields: name, kind, shared_time, last_modified, created_time. To sort in descending order, prefix the field value with a hyphen (-).
{
"data": [
{
"id": "ly9zm850678101cec4b0698777ab4534a3002",
"type": "files",
"attributes": {
"modified_by_zuid": "747938014",
"is_locked": false,
"conv_engine_type": 1,
"is_fillable_resource": false,
"is_published": false,
"destination_id": "ly9zme5724e019a8e4cb48632945b1296be0a",
"storage_info": {
"size": "90.0 KB",
"storage_used": "90.0 KB",
"files_count": 0,
"folders_count": 0,
"size_in_bytes": 92684,
"storage_used_in_bytes": 92684
},
"type": "image",
"created_time_i18": "Apr 12, 9:45 PM",
"modified_time_in_millisecond": 1618308007051,
"opened_time": "Apr 12, 9:45 PM",
"status_change_time": "Apr 13, 3:30 PM",
"download_url": "https://download-accl.zoho.com/v1/workdrive/download/ly9zm850678101cec4b0698777ab4534a3002",
"comment_badge_count": 0,
"is_app_associated": false,
"created_time": "Apr 12, 9:45 PM",
"lock_status": 2,
"is_folder": false,
"resource_type": 2501,
"is_email_in_upload": false,
"display_attr_name": "Capture.JPG",
"created_by": "Zylker Creation",
"display_html_name": "Capture.JPG",
"labels": [],
"parent_id": "ly9zme5724e019a8e4cb48632945b1296be0a",
"name": "Capture.JPG",
"status_change_time_in_millisecond": 1618308007051,
"permalink": "https://www.zohoapis.com/workdrive/file/ly9zm850678101cec4b0698777ab4534a3002",
"favorite": false,
"new_badge_count": 0,
"status": 51,
"modified_time_i18": "Apr 13, 3:30 PM",
"opened_time_i18": "Apr 12, 9:45 PM",
"extn": "jpg",
"shortcut_link": "",
"status_change_time_i18": "Apr 13, 3:30 PM",
"description": "",
"uploaded_time_in_millisecond": 1618244123054,
"thumbnail_url": "https://previewengine-accl.zoho.com/thumbnail/WD/ly9zm850678101cec4b0698777ab4534a3002",
"title": "",
"modified_time": "Apr 13, 3:30 PM",
"library_id": "ly9zme5724e019a8e4cb48632945b1296be0a",
"icon_class": "img",
"created_time_in_millisecond": 1618244123051,
"owner": "747937818",
"creator": "747938014",
"capabilities": {
"can_read": false,
"can_share": false,
"can_remove_share": false,
"can_delete": true,
"can_edit": false,
"can_upload_files": false,
"can_trash": false,
"can_rename": false,
"can_restore": true,
"can_copy": false,
"can_move": false,
"can_zip": false,
"can_download": false,
"can_emailattach": false,
"can_publish": false,
"can_create_task": false,
"can_share_support": false,
"can_label": true,
"can_checkout": false,
"can_cancel_checkout": false,
"can_discard_checkout": false,
"can_checkin": false,
"can_read_comment": false,
"can_create_comment": false,
"can_trash_files": false
},
"uploaded_time_i18": "Apr 12, 9:45 PM",
"is_external_upload": false,
"watch_preference": {
"watch": false,
"notifyemail": false,
"notifybell": false
},
"opened_time_in_millisecond": 1618244123051,
"edit_badge_count": 0,
"share_data": [],
"uploaded_time": "Apr 12, 9:45 PM",
"has_folders": false,
"service_type": "upload",
"display_url_name": "Capture.JPG",
"is_unread": false,
"modified_by": "Zylker Creation",
"embed_props": {}
},
"relationships": {
"folders": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/folders",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/folders"
}
},
"comments": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/comments",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/comments"
}
},
"previewinfo": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/previewinfo",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/previewinfo"
}
},
"unzip": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/unzip",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/unzip"
}
},
"publiclink": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/publiclink",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/publiclink"
}
},
"resourceproperty": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/resourceproperty",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/resourceproperty"
}
},
"parentfolders": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/parentfolders",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/parentfolders"
}
},
"shortcut": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/shortcut",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/shortcut"
}
},
"importfile": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/importfile",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/importfile"
}
},
"versions": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/versions",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/versions"
}
},
"supportshare": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/supportshare",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/supportshare"
}
},
"permissions": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/permissions",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/permissions"
}
},
"timeline": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/timeline",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/timeline"
}
},
"files": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/files",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/files"
}
},
"saveastemplate": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/saveastemplate",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/saveastemplate"
}
},
"links": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/links",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/links"
}
},
"copy": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/copy",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/copy"
}
},
"previewzip": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/previewzip",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/previewzip"
}
},
"tasks": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/tasks",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/tasks"
}
},
"breadcrumbs": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/breadcrumbs",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/breadcrumbs"
}
},
"entity": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/entity",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/entity"
}
},
"custommetadata": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/custommetadata",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/custommetadata"
}
},
"statistics": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/statistics",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/statistics"
}
},
"appdata": {
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/relationships/appdata",
"related": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002/appdata"
}
}
},
"links": {
"self": "https://www.zohoapis.com/workdrive/files/ly9zm850678101cec4b0698777ab4534a3002"
}
}
]
}
{
"errors": [
{
"id": "R213",
"title": "Invalid operation"
}
]
}
{
"errors": [
{
"id": "R004",
"title": "Invalid resourceId passed. Please use a valid resourceId"
}
]
}
{
"errors": [
{
"id": "F000",
"title": "General Exception"
}
]
}
{
"errors": [
{
"id": "I026",
"title": "Invalid resource type"
}
]
}
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.